Bug 142501 - Kernel stack size tunable w/reboot.
Kernel stack size tunable w/reboot.
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
Blocks: 141856
  Show dependency treegraph
Reported: 2004-12-09 19:06 EST by sheryl sage
Modified: 2015-01-04 17:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-17 17:06:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sheryl sage 2004-12-09 19:06:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
VERITAS is requesting a kernel stack size tunable for x86 Red Hat to 
enable a customer (or 3rd party ISV) to configure the system with 8k 
kernel stack size.  

RedHat changed from 8-4K between beta1 and beta2 and removed 
interrupts from the stack.  VERITAS is concerned that there may not 
be enough buffer and customers may experience hangs and system 
failures as result of running low on stack space.

VERITAS will be willing to provide performance testing for the 
tunable to ensure comfort with this configuration upon RedHat's 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  n/a

Actual Results:  system hang and failure.

Expected Results:  n/a

Additional info:

Comment 2 Jay Turner 2004-12-11 13:08:45 EST
Tossing on the U1 list so it at least remains on the radar.
Comment 5 craig harmer 2004-12-13 23:53:55 EST
apparently this change actually occurred between alpha4 and beta1.  apparently
we (veritas) didn't do enough testing there to catch it.
Comment 7 Tim Burke 2004-12-17 17:06:53 EST
We currently have no plans to add in any tunable to vary the stack size.  If
Veritas can get such a change upsteam accepted first, then we can revisit the

Note that in RHEL4, the interrupt and softirq stacks are separate. So that
allows the 4K kernel stack to be dedicated to process context.

Note You need to log in before you can comment on or make changes to this bug.